# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..transit import GTFSImporter
from .show_dialog import show_diag


def gtfs_importer(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = GTFSImporter(proj)
    show_diag(dlg2)
